<template>
  <div id="registerForm">
    <h1 class="my-4">Register Form</h1>
    <form>
      <div class="m-2">
        <label class="form-label"> <i class="fa fa-user"></i> Full name </label>
        <input v-model="this.register.name" name="" class="form-control" type="text">
      </div>
      <div class="m-2">
        <label class="form-label"> <i class="fa fa-envelope"></i> Email address</label>
        <input v-model="this.register.email" name="" class="form-control" type="email">
      </div>
      <div class="m-2">
        <label class="form-label"> <i class="fa fa-lock"></i> Create password</label>
        <input v-model="this.register.password" class="form-control" type="password">
      </div>
      <div class="m-2">
        <label class="form-label"> <i class="fa fa-lock"></i> Repeat password</label>
        <input v-model="this.register.password2" class="form-control" type="password">
      </div>                                      
      <div class="text-center my-2">
        <span @click="onClickRegister" class="btn btn-primary btn-block"> Create Account </span>
      </div>      
    </form>
    <p class="text-center">Have an account? <router-link to="/Login">Log In</router-link></p>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "Register",
  data() {
    return {
      register: {
        name: "",
        email: "",
        password: "",
        password2: "",
      },
    };
  },
  methods: {
    ...mapActions(["registerUser"]),
    async onClickRegister() {
      await this.registerUser(this.register);
      this.$router.push({ name: 'ProfileOverview' })
    },
  },
  beforeCreate: function () {
    document.body.className = "register";
  },
  created() {
  },
};
</script>

<style lang="scss">
  body.register {
    background-color: $bg-color;
    background-image: none;
  }

  #registerForm {
    width: 500px;
    margin: 0 auto;
  }
</style>